using _Core;

namespace _Combo
{
    internal class LinkIdentity
    {
        public class Request : Serializable {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;
            public string idp;
            public ServerCredential.Credential credential;
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("combo_id")]
            public string comboId;
            [Newtonsoft.Json.JsonProperty("linked_idp")]
            public string linkedIdp;
            [Newtonsoft.Json.JsonProperty("linked_external_id")]
            public string linkedExternalId;
            [Newtonsoft.Json.JsonProperty("linked_external_name")]
            public string linkedExternalName;
        }
    }
}
